# Generated by Django 5.2.dev20240708000625 on 2024-07-08 00:28

import django.db.models.deletion
from django.db import migrations, models


def copy_ip_address(apps, schema):
    Rank = apps.get_model("nominate", "Rank")
    RankAdminData = apps.get_model("nominate", "RankAdminData")

    for rank in Rank.objects.all():
        RankAdminData.objects.get_or_create(
            rank=rank,
            defaults={
                "invalidated": False,
                "ip_address": rank.voter_ip_address,
                "user_agent": "Not recorded",
                "comment": None,
            },
        )


class Migration(migrations.Migration):
    dependencies = [
        ("nominate", "0025_merge_0023_finalist_short_name_0024_rank_rank_date"),
    ]

    operations = [
        migrations.CreateModel(
            name="RankAdminData",
            fields=[
                (
                    "id",
                    models.BigAutoField(
                        auto_created=True,
                        primary_key=True,
                        serialize=False,
                        verbose_name="ID",
                    ),
                ),
                ("ip_address", models.GenericIPAddressField(blank=True, null=True)),
                ("user_agent", models.TextField(blank=True, null=True)),
                ("invalidated", models.BooleanField(default=False)),
                ("comment", models.TextField(blank=True, null=True)),
                (
                    "rank",
                    models.OneToOneField(
                        on_delete=django.db.models.deletion.CASCADE,
                        related_name="admin",
                        to="nominate.rank",
                    ),
                ),
            ],
            options={
                "abstract": False,
            },
        ),
        migrations.RunPython(code=copy_ip_address),
    ]
